%define	name		cdvst
%define	version		0.18
%define	release		3mdk
%define summary		Certain Death via Space Things

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://kokido.sourceforge.net/%{name}-.18.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-optflags.patch.bz2
Patch1:		%{name}-shared.patch.bz2
License:	GPL
Url:		http://kokido.sourceforge.net/cdvst.html
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libSDL_mixer-devel libSDL_image-devel

%description
The space things will certainly kill you :)
A top down scrolling putting you in the pilot seat of a space fighter.
Reminiscent of many old arcade games. 
 

%prep

%setup -q -n %{name}-.18

%patch0 -p0
%patch1 -p0

%build
%make OPTFLAGS="$RPM_OPT_FLAGS" DATA_PREFIX=%{_gamesdatadir}/%{name}/

%install
rm -rf $RPM_BUILD_ROOT
install -m755 cdvst -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
chmod 644 readme.txt data/*
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="CDvST"\
		  longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.txt
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.18-3mdk
- added libSDL_image-devel to BuildRequires
- bzip2 sources

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.18-2mdk
- rebuild

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.18-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- First release
